Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVincent Lorenzo2018-11-30 04:54:34 -0500
committerVincent Lorenzo2018-11-30 05:17:31 -0500
commit589f1c8c5d31f9fafa95be905440025638218bb4 (patch)
tree3fc988207cf578c8b033925b56681925fe843972
parent87b76bb26c9389fc79c6971cbcf92fb1109840f2 (diff)
downloadorg.eclipse.papyrus-589f1c8c5d31f9fafa95be905440025638218bb4.tar.gz
org.eclipse.papyrus-589f1c8c5d31f9fafa95be905440025638218bb4.tar.xz
org.eclipse.papyrus-589f1c8c5d31f9fafa95be905440025638218bb4.zip
Bug 539926: [CDO] Papyrus standart version must execute its tests with the CDO'ified version of metamodel too
- create a test suite to be ablme to run the cdo compatibility test on jenkins Change-Id: I3c8abc04e5190e9ce97b2096a110aa7ff42084c7 Signed-off-by: Vincent Lorenzo <vincent.lorenzo@cea.fr>
-rwxr-xr-xreleng/main-tests-with-cdo/pom.xml1
-rwxr-xr-xtests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/META-INF/MANIFEST.MF3
-rwxr-xr-xtests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/pom.xml50
-rwxr-xr-xtests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/src/org/eclipse/papyrus/compatibility/cdo/tests/AllTests.java48
4 files changed, 100 insertions, 2 deletions
diff --git a/releng/main-tests-with-cdo/pom.xml b/releng/main-tests-with-cdo/pom.xml
index 4c4bf351d21..148d587c72c 100755
--- a/releng/main-tests-with-cdo/pom.xml
+++ b/releng/main-tests-with-cdo/pom.xml
@@ -14,7 +14,6 @@
<properties>
<testConfig>CI_TESTS_CONFIG</testConfig> <!-- See org.eclipse.papyrus.junit.framework.classification.ClassificationConfig -->
- <testSuiteClass>org.eclipse.papyrus.tests.AllTests</testSuiteClass>
<jacoco.version>0.7.9</jacoco.version>
<!-- Separate property for test argLine seems to be required when running
Jacoco + Surefire -->
diff --git a/tests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/META-INF/MANIFEST.MF b/tests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/META-INF/MANIFEST.MF
index be8d2c57b53..81af91f647f 100755
--- a/tests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/META-INF/MANIFEST.MF
+++ b/tests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/META-INF/MANIFEST.MF
@@ -9,4 +9,5 @@ Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Require-Bundle: org.junit;bundle-version="[4.12.0,5.0.0)",
org.eclipse.gmf.runtime.notation;bundle-version="[1.9.0,2.0.0)",
org.eclipse.uml2.uml;bundle-version="[5.4.0,6.0.0)",
- org.eclipse.papyrus.infra.gmfdiag.style;bundle-version="[2.0.0,3.0.0)"
+ org.eclipse.papyrus.infra.gmfdiag.style;bundle-version="[2.0.0,3.0.0)",
+ org.eclipse.papyrus.junit.framework;bundle-version="[1.2.0,2.0.0)"
diff --git a/tests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/pom.xml b/tests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/pom.xml
index e4bf4a86234..63ccededa5f 100755
--- a/tests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/pom.xml
+++ b/tests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/pom.xml
@@ -13,4 +13,54 @@
<artifactId>org.eclipse.papyrus.compatibility.cdo.tests</artifactId>
<version>1.0.0-SNAPSHOT</version>
<packaging>eclipse-test-plugin</packaging>
+ <build>
+ <plugins>
+ <plugin>
+ <groupId>org.eclipse.tycho</groupId>
+ <artifactId>tycho-surefire-plugin</artifactId>
+ <version>${tycho-version}</version>
+ <configuration>
+ <useUIHarness>true</useUIHarness>
+ <useUIThread>true</useUIThread>
+ <testFailureIgnore>true</testFailureIgnore>
+ <product>org.eclipse.sdk.ide</product>
+ <!-- If a specific <argLine> is required here, make sure to include
+ JaCoCo parameters (See parent pom, Bug 478170) -->
+ <skipTests>${skipAllTests}</skipTests>
+ <testClass>org.eclipse.papyrus.compatibility.cdo.tests.AllTests</testClass>
+ </configuration>
+ </plugin>
+ <plugin>
+ <groupId>org.eclipse.tycho</groupId>
+ <artifactId>target-platform-configuration</artifactId>
+ <version>${tycho-version}</version>
+ <configuration>
+ <dependency-resolution>
+ <extraRequirements>
+ <requirement>
+ <type>p2-installable-unit</type>
+ <id>org.eclipse.sdk.feature.group</id>
+ <versionRange>0.0.0</versionRange>
+ </requirement>
+ <requirement>
+ <type>eclipse-feature</type>
+ <id>org.eclipse.papyrus.sdk.feature</id>
+ <versionRange>0.0.0</versionRange>
+ </requirement>
+ <requirement>
+ <type>eclipse-feature</type>
+ <id>org.eclipse.papyrus.cdo.feature</id>
+ <versionRange>0.0.0</versionRange>
+ </requirement>
+ <requirement>
+ <type>eclipse-feature</type>
+ <id>org.eclipse.papyrus.cdo.models.feature</id>
+ <versionRange>0.0.0</versionRange>
+ </requirement>
+ </extraRequirements>
+ </dependency-resolution>
+ </configuration>
+ </plugin>
+ </plugins>
+ </build>
</project>
diff --git a/tests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/src/org/eclipse/papyrus/compatibility/cdo/tests/AllTests.java b/tests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/src/org/eclipse/papyrus/compatibility/cdo/tests/AllTests.java
new file mode 100755
index 00000000000..ad244553992
--- /dev/null
+++ b/tests/compatibility/cdo/org.eclipse.papyrus.compatibility.cdo.tests/src/org/eclipse/papyrus/compatibility/cdo/tests/AllTests.java
@@ -0,0 +1,48 @@
+/*****************************************************************************
+ * Copyright (c) 2018 CEA LIST.
+ *
+ *
+ * All rights reserved. This program and the accompanying materials
+ * are made available under the terms of the Eclipse Public License 2.0
+ * which accompanies this distribution, and is available at
+ * https://www.eclipse.org/legal/epl-2.0/
+ *
+ * SPDX-License-Identifier: EPL-2.0
+ *
+ * Contributors:
+ * Vincent Lorenzo (CEA LIST) - Initial API and implementation
+ *
+ *****************************************************************************/
+package org.eclipse.papyrus.compatibility.cdo.tests;
+
+import java.util.ArrayList;
+import java.util.List;
+
+import org.eclipse.papyrus.junit.framework.runner.AllTestsRunner;
+import org.eclipse.papyrus.junit.framework.runner.ITestSuiteClass;
+import org.eclipse.papyrus.junit.framework.runner.PluginTestSuiteClass;
+import org.eclipse.papyrus.junit.framework.runner.SuiteSpot;
+import org.junit.runner.RunWith;
+
+/**
+ * Test class for all tests for Papyrus
+ */
+@RunWith(AllTestsRunner.class)
+public class AllTests {
+
+ @SuiteSpot
+ public static final List<ITestSuiteClass> suiteClasses;
+
+ /** list of classes to launch */
+ static {
+ suiteClasses = new ArrayList<>();
+
+ /* **************** plugins *********************** */
+
+ /* uml */
+ suiteClasses.add(new PluginTestSuiteClass(org.eclipse.papyrus.compatibility.cdo.tests.CDOInstallationTest.class));
+
+ // end
+ }
+
+}

Back to the top